Loading...
Searching...
No Matches
CControllableObject Class Referenceabstract

Interface for objects that can be selected and controlled by the player. More...

`#include <src/object/interface/controllable_object.h>`

Inheritance diagram for CControllableObject:
[legend]

## Public Member Functions

| CControllableObject (ObjectInterfaceTypes &types)
virtual void | SetTrainer (bool trainer)=0
| Disables remote control of an object (only programming allowed).
virtual bool | GetTrainer ()=0
| Checks if remote control is disabled.
virtual void | SetSelect (bool select, bool bDisplayError=true)=0
| Selects the object.
virtual bool | GetSelect ()=0
| Checks if the object is selected.
virtual bool | GetSelectable ()=0
| Returns true if the object is selectable.
virtual void | SetHighlight (bool highlight)=0
| Highlights the object on mouse over.
virtual void | SetCameraType (Gfx::CameraType type)=0
| Set camera type for this object.
virtual Gfx::CameraType | GetCameraType ()=0
| Return camera type for this object.
virtual void | SetCameraLock (bool lock)=0
| Disallow camera changes.
virtual bool | GetCameraLock ()=0
| Check if camera changes are disallowed.
virtual void | AdjustCamera (Math::Vector &eye, float &dirH, float &dirV, Math::Vector &lookat, Math::Vector &upVec, Gfx::CameraType type)=0
| Adjust camera parameters for the given object.

## Detailed Description

Interface for objects that can be selected and controlled by the player.

## Member Function Documentation

## SetTrainer()

virtual void CControllableObject::SetTrainer | ( | bool | trainer | ) |

pure virtual

Disables remote control of an object (only programming allowed).

Implemented in COldObject.

## GetTrainer()

virtual bool CControllableObject::GetTrainer | ( |  | ) |

pure virtual

Checks if remote control is disabled.

Implemented in COldObject.

## SetSelect()

virtual void CControllableObject::SetSelect | ( | bool | select,
|  | bool | bDisplayError = true )

pure virtual

Selects the object.

Implemented in COldObject.

## GetSelect()

virtual bool CControllableObject::GetSelect | ( |  | ) |

pure virtual

Checks if the object is selected.

Implemented in COldObject.

## GetSelectable()

virtual bool CControllableObject::GetSelectable | ( |  | ) |

pure virtual

Returns true if the object is selectable.

Implemented in COldObject.

## SetHighlight()

virtual void CControllableObject::SetHighlight | ( | bool | highlight | ) |

pure virtual

Highlights the object on mouse over.

Implemented in COldObject.

## SetCameraType()

virtual void CControllableObject::SetCameraType | ( | Gfx::CameraType | type | ) |

pure virtual

Set camera type for this object.

Implemented in COldObject.

## GetCameraType()

virtual Gfx::CameraType CControllableObject::GetCameraType | ( |  | ) |

pure virtual

Return camera type for this object.

Implemented in COldObject.

## SetCameraLock()

virtual void CControllableObject::SetCameraLock | ( | bool | lock | ) |

pure virtual

Disallow camera changes.

Implemented in COldObject.

## GetCameraLock()

virtual bool CControllableObject::GetCameraLock | ( |  | ) |

pure virtual

Check if camera changes are disallowed.

Implemented in COldObject.

## AdjustCamera()

virtual void CControllableObject::AdjustCamera | ( | Math::Vector & | eye,
|  | float & | dirH,
|  | float & | dirV,
|  | Math::Vector & | lookat,
|  | Math::Vector & | upVec,
|  | Gfx::CameraType | type )

pure virtual

Adjust camera parameters for the given object.

TODO: Seems to be for onboard camera only? Check and rename appropriately

Implemented in COldObject.

The documentation for this class was generated from the following file:

- src/object/interface/controllable_object.h